# SOCK_Stream.h File Reference

`#include "ace/SOCK_IO.h"`
`#include "ace/INET_Addr.h"`
`#include "ace/SOCK_Stream.inl"`

Include dependency graph for SOCK_Stream.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_SOCK_Stream
| Defines the methods in the ACE_SOCK_Stream abstraction. More...

## Detailed Description

Id
  SOCK_Stream.h,v 4.33 2005/10/28 16:14:55 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>